Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80193 - L2 cache not detected on boot tualatin p3 smp
Summary: L2 cache not detected on boot tualatin p3 smp
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-22 00:32 UTC by Jay S. Curtis
Modified: 2007-04-18 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:19 UTC


Attachments (Terms of Use)

Description Jay S. Curtis 2002-12-22 00:32:39 UTC
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux) 
 
Description of problem: 
L2 cache not detected in i686 at boot time - tualatin p3 smp systems 
do dot know if kernel is using L2 cache, regardless of detection. 
 
Version-Release number of selected component (if applicable): 
2.4.18-19.8-0 smp 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. boot up 
2. read boot log 
3. look for cache entries 
4. only L1 (32K) detected 
     
 
Actual Results:  same - no l2 cache 
 
Expected Results:  l2 cache reporting 512K for cpu 0 & cpu 1 
(no it's not turned off in the bios either) 
 
Additional info: 
 
bootlog output: 
<6>Memory: 2059968k/2097088k available (1451k kernel code, 32508k reserved, 
1067k data, 200k init, 1179584k highmem) 
<6>Dentry cache hash table entries: 262144 (order: 9, 2097152 bytes) 
<6>Inode cache hash table entries: 131072 (order: 8, 1048576 bytes) 
<6>Mount cache hash table entries: 32768 (order: 6, 262144 bytes) 
<7>ramfs: mounted with options: <defaults> 
<7>ramfs: max_pages=258024 max_file_pages=0 max_inodes=0 max_dentries=258024 
<6>Buffer cache hash table entries: 131072 (order: 7, 524288 bytes) 
<4>Page-cache hash table entries: 524288 (order: 9, 2097152 bytes) 
<7>CPU: Before vendor init, caps: 0383fbff 00000000 00000000, vendor = 0 
<6>CPU: L1 I cache: 16K, L1 D cache: 16K 
<7>CPU: After vendor init, caps: 0383fbff 00000000 00000000 00000000 
<6>Intel machine check architecture supported. 
<6>Intel machine check reporting enabled on CPU#0. 
<7>CPU:     After generic, caps: 0383fbff 00000000 00000000 00000000 
<7>CPU:             Common caps: 0383fbff 00000000 00000000 00000000 
<6>Enabling fast FPU save and restore... done. 
<6>Enabling unmasked SIMD FPU exception support... done. 
<6>Checking 'hlt' instruction... OK. 
<4>POSIX conformance testing by UNIFIX 
<4>mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au) 
<4>mtrr: detected mtrr type: Intel 
<7>CPU: Before vendor init, caps: 0383fbff 00000000 00000000, vendor = 0 
<6>CPU: L1 I cache: 16K, L1 D cache: 16K 
<7>CPU: After vendor init, caps: 0383fbff 00000000 00000000 00000000 
<6>Intel machine check reporting enabled on CPU#0. 
<7>CPU:     After generic, caps: 0383fbff 00000000 00000000 00000000 
<7>CPU:             Common caps: 0383fbff 00000000 00000000 00000000 
<4>CPU0: Intel(R) Pentium(R) III CPU family      1266MHz stepping 01 
<4>per-CPU timeslice cutoff: 91.43 usecs.

Comment 1 Bugzilla owner 2004-09-30 15:40:19 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.